summaryrefslogtreecommitdiffstats
path: root/test/ete/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'test/ete/scripts')
-rwxr-xr-xtest/ete/scripts/install_openstack_cli.sh2
-rwxr-xr-xtest/ete/scripts/run-healthcheck.sh2
-rwxr-xr-xtest/ete/scripts/teardown-onap.sh9
3 files changed, 10 insertions, 3 deletions
diff --git a/test/ete/scripts/install_openstack_cli.sh b/test/ete/scripts/install_openstack_cli.sh
index c7af2d5f7..8f1529606 100755
--- a/test/ete/scripts/install_openstack_cli.sh
+++ b/test/ete/scripts/install_openstack_cli.sh
@@ -26,7 +26,7 @@ else
source ${ONAP_VENV}/bin/activate
pip install --upgrade pip
- pip install --upgrade python-openstackclient python-heatclient python-designateclient
+ pip install openstacksdk==0.9.19 python-openstackclient python-heatclient python-designateclient
echo "ONAP_VENV=${ONAP_VENV}" >> $WORKSPACE/env.properties
fi
diff --git a/test/ete/scripts/run-healthcheck.sh b/test/ete/scripts/run-healthcheck.sh
index 2f0f014d3..c86fd453a 100755
--- a/test/ete/scripts/run-healthcheck.sh
+++ b/test/ete/scripts/run-healthcheck.sh
@@ -20,7 +20,9 @@ fi
ssh-keygen -R ${ROBOT_IP}
ssh -o StrictHostKeychecking=no -i ${SSH_KEY} root@${ROBOT_IP} "OS_PROJECT_ID=$OS_PROJECT_ID OS_USERNAME=$OS_USERNAME OS_PASSWORD=$OS_PASSWORD bash -s" < ./remote/run-robot.sh
+RESULT=$?
LOG_DIR=$(ssh -o StrictHostKeychecking=no -i ${SSH_KEY} root@${ROBOT_IP} "ls -1t /opt/eteshare/logs | head -1")
echo "Browse Robot results at http://${ROBOT_IP}:88/logs/${LOG_DIR}/"
rsync -e "ssh -i ${SSH_KEY}" -avPz root@${ROBOT_IP}:/opt/eteshare/logs/${LOG_DIR}/ $WORKSPACE/archives/
+exit $RESULT
diff --git a/test/ete/scripts/teardown-onap.sh b/test/ete/scripts/teardown-onap.sh
index eecef876b..60bfa638f 100755
--- a/test/ete/scripts/teardown-onap.sh
+++ b/test/ete/scripts/teardown-onap.sh
@@ -6,10 +6,16 @@ fi
source $WORKSPACE/test/ete/scripts/install_openstack_cli.sh
-# delete all Designate DNS records; do this first since we rely on multi-vim for this
+# delete all Proxy Designate DNS records; do this first since we rely on multi-vim for this
$WORKSPACE/test/ete/scripts/dns-zones/delete-dns-zones.sh $OS_PROJECT_NAME
sleep 1
+# delete all Desigate DNS zones
+ZONES=$(openstack zone list -c "id" -f value)
+for ZONE in ${ZONES}; do
+ openstack zone delete $ZONE
+done
+
# delete all instances
openstack server delete $(openstack server list -c ID -f value)
sleep 1
@@ -42,7 +48,6 @@ sleep 1
STACKS=$(openstack stack list -c "Stack Name" -f value)
if [ ! -z "${STACKS}" ]; then
- echo "Deleting Stacks ${STACKS}"
openstack stack delete -y $STACKS
for STACK in ${STACKS}; do
until [ "DELETE_IN_PROGRESS" != "$(openstack stack show -c stack_status -f value $STACK)" ]; do